package com.steerinfo.meterwork.meterworkdatacount.model;

import java.math.BigDecimal;
import java.util.Date;

public class LongCarMeterWeightComparison {
    private String railwayTypeName;
    private String railwayNo;
    private String lcNo;
    private String predictionNo;
    private String weightType;
    private BigDecimal meterWeight;
    private BigDecimal lc15;
    private BigDecimal meterWeightSub;
    private String matterNo;
    private String matterName;
    private String senderRemark;
    private Date createTime;
    private String forwardingUnitName;
    private String receivingUintName;
    private String baseSpotName;
    private String conveyanceType;
    private String createManName;
    private String meterTypeName;
    private String valueFlag;

    public String getRailwayTypeName() {
        return railwayTypeName;
    }

    public void setRailwayTypeName(String railwayTypeName) {
        this.railwayTypeName = railwayTypeName;
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo;
    }

    public String getLcNo() {
        return lcNo;
    }

    public void setLcNo(String lcNo) {
        this.lcNo = lcNo;
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType;
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public BigDecimal getLc15() {
        return lc15;
    }

    public void setLc15(BigDecimal lc15) {
        this.lc15 = lc15;
    }

    public BigDecimal getMeterWeightSub() {
        return meterWeightSub;
    }

    public void setMeterWeightSub(BigDecimal meterWeightSub) {
        this.meterWeightSub = meterWeightSub;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType;
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName;
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }
}
